Last Comment Bug 690287 - (uafx10) Tracking bug for UA sniffers failing to handle a two-digit version
(uafx10)
: Tracking bug for UA sniffers failing to handle a two-digit version
Status: RESOLVED INCOMPLETE
:
Product: Core Graveyard
Classification: Graveyard
Component: Tracking (show other bugs)
: Trunk
: All All
: -- normal with 5 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
: chris hofmann
:
Mentors:
: 691159 (view as bug list)
Depends on: 662376 688720 689627 690196 690391 691152 691679 692450 695901 696540 702138 703424 705948 709713 714007 718377 720122 720179 722142 722797 722890 723136 723227 724150 724681 726680 726936 728353 731981 754346 813960
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-29 02:46 PDT by Dão Gottwald [:dao]
Modified: 2016-07-15 12:13 PDT (History)
36 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Quick/simple python scripts to compare HTML sent to two different UAs (2.94 KB, text/x-python)
2012-01-26 13:55 PST, John Jensen
no flags Details

Description Dão Gottwald [:dao] 2011-09-29 02:46:50 PDT

    
Comment 1 :Ms2ger (⌚ UTC+1/+2) 2011-10-02 08:50:16 PDT
*** Bug 691159 has been marked as a duplicate of this bug. ***
Comment 2 chris hofmann 2011-12-16 16:02:02 PST
getting down to about 6 weeks until this problem needs to be solve to some degree to avoid any blowup of "sites not working reports".  even less if you subtract holidays.

we need a systematic way to:
1) get a list of top sites, 
2) follow up with top sites like picassa, sony, hotwire that are broken right now,
3) track their progress in fixing the problems so we can best time the release of fx10, 
4) and to get a count of the over all number of sites that are broken to help assess risk
5) tracking with metrics to see if we are making progress.

some good pr and press outreach can help here as well.

it would also be good to roll up some code patterns that are broken to help in the search for broken sites.  lets add these to this bug.
Comment 3 petersaints 2012-01-21 09:09:40 PST
Sorry I submitted my last post on the duplicate "version" of this bug.
This seems to be the main bug report to follow this issue so I'll post here.

Also I just reported another bug related to this (I only found this "meta bug" later). In this case is Google Docs Presentation
https://bugzilla.mozilla.org/show_bug.cgi?id=720122

Shouldn't Mozilla adopt some kind of countermeasure, as Opera did by keeping (part) of the user agent at 9.80 since they've reached 10.0 version? This is going to be a major problem if Firefox 10 gets released in 10 days and many websites won't work (or will work poorly) because of this issue.

Imagine the bad press that Firefox will get if Firefox 10 is released without a failsafe for this error and many people (and tech journalist) will start complaining without knowing the real reason.

This issue might seem minor, or trivial, but from a user's perspective it's Firefox that is failing badly and not the website (because it will work on other browsers). Please consider doing something similar to what Opera did.
Comment 4 Rodze 2012-01-21 17:55:19 PST
Please verify https://bugzilla.mozilla.org/show_bug.cgi?id=720179

Thanks.
Comment 5 JK 2012-01-22 03:48:12 PST
(In reply to petersaints from comment #3)
> Sorry I submitted my last post on the duplicate "version" of this bug.
> This seems to be the main bug report to follow this issue so I'll post here.
> 
> Also I just reported another bug related to this (I only found this "meta
> bug" later). In this case is Google Docs Presentation
> https://bugzilla.mozilla.org/show_bug.cgi?id=720122
> 
> Shouldn't Mozilla adopt some kind of countermeasure, as Opera did by keeping
> (part) of the user agent at 9.80 since they've reached 10.0 version? This is
> going to be a major problem if Firefox 10 gets released in 10 days and many
> websites won't work (or will work poorly) because of this issue.
> 
> Imagine the bad press that Firefox will get if Firefox 10 is released
> without a failsafe for this error and many people (and tech journalist) will
> start complaining without knowing the real reason.
> 
> This issue might seem minor, or trivial, but from a user's perspective it's
> Firefox that is failing badly and not the website (because it will work on
> other browsers). Please consider doing something similar to what Opera did.

I don't think Mozilla should fix website author's stupidity. Nightly 10 was released a plenty of time ago, so they should have had enough time to see the problem and fix it.

I think a warning should be added to the release notes.
Comment 6 petersaints 2012-01-22 09:04:55 PST
A warning in the release notes is the least you can do. However... being realistic. Who reads release notes? Most Firefox users don't even know what are release notes. So it might not be enough to raise awareness that issues related to this problem are not Firefox's fault.
Comment 7 Alex Keybl [:akeybl] 2012-01-22 17:48:42 PST
Jean-Yves plans to have a post up on https://hacks.mozilla.org/ very soon to advise web developers to double-check their UA sniffing. We've also actively been doing outreach for affected sites that we're aware of.
Comment 8 Loic 2012-01-26 10:05:39 PST
(In reply to Alex Keybl [:akeybl] from comment #7)
> Jean-Yves plans to have a post up on https://hacks.mozilla.org/ very soon to
> advise web developers to double-check their UA sniffing.

http://hacks.mozilla.org/2012/01/firefox-goes-2-digit-time-to-check-your-ua-sniffing-scripts/
Comment 9 John Jensen 2012-01-26 13:55:33 PST
Created attachment 591935 [details]
Quick/simple python scripts to compare HTML sent to two different UAs

Quick/simple python scripts to compare HTML sent to two different UAs
Comment 10 John Jensen 2012-01-26 13:58:43 PST
I wrote a simple python script to compare the HTML sent to two different UAs from the homepages of the top 10,000 websites globally. If there are differences, it makes a screenshot for comparison purposes. While there were some differences, most do not appear to be significant.

However, at least on my machine there appears to be a problem with Google's Plus javascript. For an example, go to http://www.intelius.com/ in Fx9, Fx10 and Google Chrome. On my machine, the "+1 this site" message, added there by https://apis.google.com/js/plusone.js, appears in Fx9 and Google Chrome but not Fx10.
Comment 11 John Jensen 2012-01-26 14:37:21 PST
It appears to be a false alarm for the Google plusone.js issue; this must have been the result of a network issue near me as I now cannot reduplicate it.
Comment 12 petersaints 2012-01-26 14:38:48 PST
Probably... the website looks exactly the same to me on Firefox 11.0a2 (Aurora) and Chrome. Both show the +1 button.
Comment 13 Alex Keybl [:akeybl] 2012-01-26 16:52:11 PST
(In reply to John Jensen from comment #10)
> I wrote a simple python script to compare the HTML sent to two different UAs
> from the homepages of the top 10,000 websites globally. If there are
> differences, it makes a screenshot for comparison purposes. While there were
> some differences, most do not appear to be significant.

Thanks John - you're the man.
Comment 14 silkphoenix 2012-01-31 14:01:40 PST
I upgraded to FF 10 and immediately found one website couldn't recognize the two-digit version number. It's the webmail website from www.networksolutions.com. It said I do not have a new FF version, it needs to be 2 or over.

Revert back to 9.01 did not help, the warning still came up even I delete all cookies. I have to do a System Restore to fix the problem. I am sure there are other website have the same problem but don't want to keep FF 10.0 to check.
Comment 15 silkphoenix 2012-01-31 14:14:20 PST
This is not related to any bugs but just want to get some help. I just realized when I post any comments, my email address is being shown (I didn't pay attention until now)! I would like to hide my email address and just use an alias only. Could someone please tell me how? I went to my Preferences but couldn't find where could I change the display.

Thank you.
Comment 16 silkphoenix 2012-01-31 14:21:31 PST
(In reply to silkphoenix from comment #15)
> This is not related to any bugs but just want to get some help. I just
> realized when I post any comments, my email address is being shown (I didn't
> pay attention until now)! I would like to hide my email address and just use
> an alias only. Could someone please tell me how? I went to my Preferences
> but couldn't find where could I change the display.
> 
> Thank you.

OK, Never mind. I figure out how to make the change. Thank you.
Comment 17 silkphoenix 2012-01-31 14:32:04 PST
To update my comment (# 14), the url is:  http://mail.xxx.com/interfaces/sso/login.php

"xxx" is the website name of each user, which is different from user to user. It's the web mail program hosted by www.networksolutions.com.

I hope that helps.
Comment 18 Chris Lawson (gone) 2012-01-31 14:42:00 PST
(In reply to silkphoenix from comment #17)
> To update my comment (# 14), the url is: 
> http://mail.xxx.com/interfaces/sso/login.php
> 
> "xxx" is the website name of each user, which is different from user to
> user. It's the web mail program hosted by www.networksolutions.com.

You should file a new bug on this in the Tech Evangelism component and mark it as blocking this one.
Comment 19 silkphoenix 2012-01-31 14:48:07 PST
Sorry, Chris, I do not understand what do you mean as I rarely come to bugzilla sites. I think the company should be contacted is:  www.networksolutions.com which is the hosting company of these web mail sites.
Comment 20 Chris Lawson (gone) 2012-01-31 14:50:03 PST
(In reply to silkphoenix from comment #19)
> Sorry, Chris, I do not understand what do you mean as I rarely come to
> bugzilla sites.

Then, respectfully, you shouldn't be commenting on them.

The people who are affected are the most *effective* in complaining to companies that have broken sites. That means you.
Comment 21 silkphoenix 2012-01-31 14:55:00 PST
So Chris, Are you saying I should not come here and post my comment? Just shut up? I did not know if that's Mozilla's problem or Network Solutions' problem, that's why I came here. Isn't that's why it's called BUG REPORT?
Comment 22 Laura Mesa [:lmesa] [:lvmesa] 2012-01-31 15:04:19 PST
Just going to step in here as the tone on this thread seems to have gotten out of hand.  Please remember there are rules and expected etiquette to follow: http://www.mozilla.org/about/forums/etiquette.html
Comment 23 Chris Lawson (gone) 2012-01-31 15:05:17 PST
(In reply to silkphoenix from comment #21)
> So Chris, Are you saying I should not come here and post my comment? Just
> shut up?

I'm saying you should re-read

https://bugzilla.mozilla.org/page.cgi?id=etiquette.html

and

https://developer.mozilla.org/en/Bug_writing_guidelines

the former of which, at least, you had to read as part of the signup process here.

Matthew N. has taken care of the "I don't know how to file a bug" part for you; visit bug 722890 if you want to add information to that bug report.
Comment 24 silkphoenix 2012-01-31 15:15:01 PST
Mozilla will be much more successful if people can treat others respectfully. I got flammed here by "Chris Lawson" by making a comment which I thought I supposed to come here to do. I got flammed by Cww saying the subject of my post in the form is "unnecessarily inflammatory". Let me tell you all, I have been a big supporter of FF and have been using it since it ever came out. And I have been helping a lot of users in the forum and I have never posted any unnecessary or rude comments about Mozilla/Firefox. Maybe I should just shut up and not giving any recommendations/comments to bugzilla or the forum, so to make you all happy.
Comment 25 Johnathan Nightingale [:johnath] 2012-02-01 07:30:10 PST
Same team, y'all. We're on the same team.

silkphoenix - thanks for reporting the issue. Because we work in the open, our bug tracker gets a *lot* of submissions from newcomers, often from people who are upset about something, and it can be hard to wade through them all. That's why we write documents like the ones Chris quotes, perhaps a bit abruptly, above. Because when we get constructive and dedicated new bug filers, we want to help them write bugs that will get fixed. That's not about asking anyone to shut up or go away, it's actually the opposite: we want to help you help us.

Bugzilla isn't a discussion forum, it's a work/issue tracker. The people who live in it are often trying to read dozens, if not hundreds, of bugs each day to move the work forward, and it can be frustrating to them to see a bug with a lot of activity which turns out to be more general discussion instead of focused steps and plans for addressing a particular problem. Even this comment of mine is out of bounds, really, but some people around here give me a little leeway to bend the rule when a bug starts to feel grumpy.

Coming here to constructively report an issue is awesome - I hope you'll do more of it. Mozilla needs a community of people like you who care, and who can find positive ways to help, either here in bugzilla or elsewhere in the project. Bugzilla just has its own set of norms and expectations and, without putting words in his mouth, I think mostly Chris was just trying to point you towards them. As for your particular concern, I see you're already over in bug 722890 and offering to contact NetSol - thanks for that.
Comment 26 silkphoenix 2012-02-01 08:31:44 PST
Johnathan,

Thank you very much for your nice message. I apologize if I appeared to be rude or impatient, which is not my intention. Thank you for your clarification of the purpose of Bugzilla which gives me a better understanding of what does it do. I'll post an update as soon as I hear form Network Solutions.

Thank you to all at Mozilla for doing a great job and give us Firefox, to me, the best browser existed.
Comment 27 silkphoenix 2012-02-02 07:00:38 PST
I updated to FF 10 again and now all of my Network Solutions webmail accounts (I have three)are working normally. I guess NS did fix the problem.

PS: I didn't receive a response from my ticket either. Maybe NS got too many and just went ahead and fixed the problem silently.

I have also posted this update in:  https://bugzilla.mozilla.org/show_bug.cgi?id=722890

Thank you for everyone's help.
Comment 28 Jean-Yves Perrier [:teoli] 2012-02-08 05:38:22 PST
I went through all the dependent bugs, closing those fixed, asking for confirmation of corrections in some, or for spec help/information. A couple of them are not related to the 2-digit problems, though are UA-sniffing problems, I'll keep them as dependant for a few more hours to be sure not to loose them from my radar (I'll creating new meta bugs soon)

For all the dependents bugs (except the two which are other UA-sniffing problems) we have an action in progress (either to find the right channel, or waiting for action on the site side).
Comment 29 Jean-Yves Perrier [:teoli] 2012-02-10 22:46:09 PST
Note that the release of 10.0.1 may lead to new UA-sniffing algorithms to fail :-(
Some dev reported (in a blug comment) a bug in his/her own algorithm meaning that we could get a couple of new Web site broken with 10.0.1
Comment 30 Fabio 2012-02-14 08:03:09 PST
Horde H3 webmail had this problem also, fixed in 3.3.13:
http://lists.horde.org/archives/announce/2012/000744.html
Comment 31 Jean-Yves Perrier [:teoli] 2012-02-15 12:16:54 PST
Fabio: thank you very much for the info. It will help us when somebody reports a broken Horde H3 webmail.
Comment 32 Benjamin Smedberg [:bsmedberg] 2016-06-23 12:01:27 PDT
Probably not worth tracking now that we've been living with 2-digit numbers for so long.
Comment 33 Julian Reschke 2016-06-23 12:15:28 PDT
But maybe time to start testing with 3-digit version numbers...

Note You need to log in before you can comment on or make changes to this bug.